gtkmm: Gtk::NoSelection Class Reference

gtkmm 4.10.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::NoSelection Class Reference

A selection model that does not allow selecting anything. More...

`#include <gtkmm/noselection.h>`

Inheritance diagram for Gtk::NoSelection:
[legend]

## Public Member Functions
| NoSelection (NoSelection && src) noexcept
NoSelection & | operator= (NoSelection && src) noexcept
| ~NoSelection () noexcept override
GtkNoSelection * | gobj ()
| Provides access to the underlying C GObject.
const GtkNoSelection * | gobj () const
| Provides access to the underlying C GObject.
GtkNoSelection * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Gio::ListModel > | get_model ()
| Gets the model that self is wrapping.
Glib::RefPtr< const Gio::ListModel > | get_model () const
| Gets the model that self is wrapping.
void | set_model (const Glib::RefPtr< Gio::ListModel > & model)
| Sets the model that self should wrap.
Glib::PropertyProxy_ReadOnly< GType > | property_item_type () const
| The type of items.
Glib::PropertyProxy< Glib::RefPtr< Gio::ListModel > > | property_model ()
| The model being managed.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::ListModel > > | property_model () const
| The model being managed.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_n_items () const
| The number of items.
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from Gio::ListModel
| ListModel (ListModel &&src) noexcept
ListModel & | operator= (ListModel &&src) noexcept
| ~ListModel () noexcept override
GListModel * | gobj ()
const GListModel * | gobj () const
GType | get_item_type () const
guint | get_n_items () const
Glib::RefPtr< Glib::ObjectBase > | get_object (guint position)
Glib::RefPtr< const Glib::ObjectBase > | get_object (guint position) const
Glib::SignalProxy< void(guint, guint, guint)> | signal_items_changed ()
Glib::RefPtr< Gio::ListModel > | wrap (GListModel *object, bool take_copy=false)
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::SelectionModel
| SelectionModel (SelectionModel && src) noexcept
SelectionModel & | operator= (SelectionModel && src) noexcept
| ~SelectionModel () noexcept override
GtkSelectionModel * | gobj ()
| Provides access to the underlying C GObject.
const GtkSelectionModel * | gobj () const
| Provides access to the underlying C GObject.
bool | is_selected (guint position) const
| Checks if the given item is selected.
Glib::RefPtr< const Bitset > | get_selection () const
| Gets the set containing all currently selected items in the model.
Glib::RefPtr< const Bitset > | get_selection (guint position, guint n_items) const
| Gets the set of selected items in a range.
bool | select_item (guint position, bool unselect_rest)
| Requests to select an item in the model.
bool | unselect_item (guint position)
| Requests to unselect an item in the model.
bool | select_range (guint position, guint n_items, bool unselect_rest)
| Requests to select a range of items in the model.
bool | unselect_range (guint position, guint n_items)
| Requests to unselect a range of items in the model.
bool | select_all ()
| Requests to select all items in the model.
bool | unselect_all ()
| Requests to unselect all items in the model.
bool | set_selection (const Glib::RefPtr< const Bitset > & selected, const Glib::RefPtr< const Bitset > &mask)
| Make selection changes.
Glib::SignalProxy< void(guint, guint)> | signal_selection_changed ()

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< NoSelection > | create ()
static Glib::RefPtr< NoSelection > | create (const Glib::RefPtr< Gio::ListModel > & model)
Static Public Member Functions inherited from Gio::ListModel
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
Static Public Member Functions inherited from Gtk::SelectionModel
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| NoSelection ()
| NoSelection (const Glib::RefPtr< Gio::ListModel > & model)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gio::ListModel
| ListModel ()
void | items_changed (guint position, guint removed, guint added)
virtual GType | get_item_type_vfunc ()
virtual guint | get_n_items_vfunc ()
virtual gpointer | get_item_vfunc (guint position)
Protected Member Functions inherited from Gtk::SelectionModel
| SelectionModel ()
| You should derive from this class to use it.
void | selection_changed (guint position, guint n_items)
| Helper function for implementations of `Gtk::SelectionModel`.
virtual bool | is_selected_vfunc (guint position) const
virtual Glib::RefPtr< const Bitset > | get_selection_vfunc (guint position, guint n_items)
virtual bool | select_item_vfunc (guint position, bool unselect_rest)
virtual bool | unselect_item_vfunc (guint position)
virtual bool | select_range_vfunc (guint position, guint n_items, bool unselect_rest)
virtual bool | unselect_range_vfunc (guint position, guint n_items)
virtual bool | select_all_vfunc ()
virtual bool | unselect_all_vfunc ()
virtual bool | set_selection_vfunc (const Glib::RefPtr< const Bitset > & selected, const Glib::RefPtr< const Bitset > &mask)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::NoSelection > | wrap (GtkNoSelection * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::SelectionModel
Glib::RefPtr< Gtk::SelectionModel > | wrap (GtkSelectionModel * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)

## Detailed Description

A selection model that does not allow selecting anything.

Gtk::NoSelection is an implementation of the Gtk::SelectionModel interface that does not allow selecting anything.

This model is meant to be used as a simple wrapper to Gio::ListModels when a Gtk::SelectionModel is required.

See also
  SelectionModel

Since gtkmm 3.96:

## Constructor & Destructor Documentation

## ◆ NoSelection() [1/3]

Gtk::NoSelection::NoSelection | ( | NoSelection && | src | ) |
| noexcept

## ◆ ~NoSelection()

Gtk::NoSelection::~NoSelection | ( |  | ) |
| overridenoexcept

## ◆ NoSelection() [2/3]

Gtk::NoSelection::NoSelection | ( |  | ) |
| protected

## ◆ NoSelection() [3/3]

Gtk::NoSelection::NoSelection | ( | const Glib::RefPtr< Gio::ListModel > & | model | ) |
| explicitprotected

## Member Function Documentation

## ◆ create() [1/2]

static Glib::RefPtr< NoSelection > Gtk::NoSelection::create | ( |  | ) |
| static

## ◆ create() [2/2]

static Glib::RefPtr< NoSelection > Gtk::NoSelection::create | ( | const Glib::RefPtr< Gio::ListModel > & | model | ) |
| static

## ◆ get_model() [1/2]

Glib::RefPtr< Gio::ListModel > Gtk::NoSelection::get_model | ( |  | ) |

Gets the model that self is wrapping.

Returns
  The model being wrapped.

## ◆ get_model() [2/2]

Glib::RefPtr< const Gio::ListModel > Gtk::NoSelection::get_model | ( |  | ) | const

Gets the model that self is wrapping.

Returns
  The model being wrapped.

## ◆ get_type()

static GType Gtk::NoSelection::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkNoSelection * Gtk::NoSelection::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkNoSelection * Gtk::NoSelection::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkNoSelection * Gtk::NoSelection::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

NoSelection & Gtk::NoSelection::operator= | ( | NoSelection && | src | ) |
| noexcept

## ◆ property_item_type()

Glib::PropertyProxy_ReadOnly< GType > Gtk::NoSelection::property_item_type | ( |  | ) | const

The type of items.

See Gio::ListModel::get_item_type().

Since gtkmm 4.8:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_model() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gio::ListModel > > Gtk::NoSelection::property_model | ( |  | ) |

The model being managed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_model() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::ListModel > > Gtk::NoSelection::property_model | ( |  | ) | const

The model being managed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_n_items()

Glib::PropertyProxy_ReadOnly< unsigned int > Gtk::NoSelection::property_n_items | ( |  | ) | const

The number of items.

See Gio::ListModel::get_n_items().

Since gtkmm 4.8:

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_model()

void Gtk::NoSelection::set_model | ( | const Glib::RefPtr< Gio::ListModel > & | model | ) |

Sets the model that self should wrap.

If model is `nullptr`, this model will be empty.

Parameters

  model | A `Gio::ListModel` to wrap.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::NoSelection > wrap | ( | GtkNoSelection * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.